VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::TagAssociation Interface Reference

The `TagAssociation` interface provides methods to attach, detach, and query tags. More...

Inherited by vmware::cis::tagging::TagAssociationStub.

List of all members.

## Public Member Functions
void | Attach (string tagId, vmware.vapi.std.DynamicID objectId)
| Attaches the given tag to the input object.
void | Attach (string tagId, vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Attaches the given tag to the input object.
global::System.Threading.Tasks.Task | AttachAsync (string tagId, vmware.vapi.std.DynamicID objectId)
| Attaches the given tag to the input object.
global::System.Threading.Tasks.Task | AttachAsync (string tagId, vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Attaches the given tag to the input object.
vmware.cis.tagging.TagAssociationTypes.BatchResult | AttachMultipleTagsToObject (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds)
| Attaches the given tags to the input object.
vmware.cis.tagging.TagAssociationTypes.BatchResult | AttachMultipleTagsToObject (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Attaches the given tags to the input object.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | AttachMultipleTagsToObjectAsync (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds)
| Attaches the given tags to the input object.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | AttachMultipleTagsToObjectAsync (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Attaches the given tags to the input object.
vmware.cis.tagging.TagAssociationTypes.BatchResult | AttachTagToMultipleObjects (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds)
| Attaches the given tag to the input objects.
vmware.cis.tagging.TagAssociationTypes.BatchResult | AttachTagToMultipleObjects (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Attaches the given tag to the input objects.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | AttachTagToMultipleObjectsAsync (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds)
| Attaches the given tag to the input objects.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | AttachTagToMultipleObjectsAsync (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Attaches the given tag to the input objects.
void | Detach (string tagId, vmware.vapi.std.DynamicID objectId)
| Detaches the tag from the given object.
void | Detach (string tagId, vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Detaches the tag from the given object.
global::System.Threading.Tasks.Task | DetachAsync (string tagId, vmware.vapi.std.DynamicID objectId)
| Detaches the tag from the given object.
global::System.Threading.Tasks.Task | DetachAsync (string tagId, vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Detaches the tag from the given object.
vmware.cis.tagging.TagAssociationTypes.BatchResult | DetachMultipleTagsFromObject (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds)
| Detaches the given tags from the input object.
vmware.cis.tagging.TagAssociationTypes.BatchResult | DetachMultipleTagsFromObject (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Detaches the given tags from the input object.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | DetachMultipleTagsFromObjectAsync (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds)
| Detaches the given tags from the input object.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | DetachMultipleTagsFromObjectAsync (vmware.vapi.std.DynamicID objectId, global::System.Collections.Generic.List< string > tagIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Detaches the given tags from the input object.
vmware.cis.tagging.TagAssociationTypes.BatchResult | DetachTagFromMultipleObjects (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds)
| Detaches the given tag from the input objects.
vmware.cis.tagging.TagAssociationTypes.BatchResult | DetachTagFromMultipleObjects (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Detaches the given tag from the input objects.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | DetachTagFromMultipleObjectsAsync (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds)
| Detaches the given tag from the input objects.
global::System.Threading.Tasks.Task < vmware.cis.tagging.TagAssociationTypes.BatchResult > | DetachTagFromMultipleObjectsAsync (string tagId, global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Detaches the given tag from the input objects.
global::System.Collections.Generic.List < vmware.vapi.std.DynamicID > | ListAttachedObjects (string tagId)
| Fetches the list of attached objects for the given tag.
global::System.Collections.Generic.List < vmware.vapi.std.DynamicID > | ListAttachedObjects (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of attached objects for the given tag.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vapi.std.DynamicID > > | ListAttachedObjectsAsync (string tagId)
| Fetches the list of attached objects for the given tag.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vapi.std.DynamicID > > | ListAttachedObjectsAsync (string tagId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of attached objects for the given tag.
global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.TagToObjects > | ListAttachedObjectsOnTags (global::System.Collections.Generic.List< string > tagIds)
| Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.
global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.TagToObjects > | ListAttachedObjectsOnTags (global::System.Collections.Generic.List< string > tagIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.TagToObjects > > | ListAttachedObjectsOnTagsAsync (global::System.Collections.Generic.List< string > tagIds)
| Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.TagToObjects > > | ListAttachedObjectsOnTagsAsync (global::System.Collections.Generic.List< string > tagIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.
global::System.Collections.Generic.List < string > | ListAttachedTags (vmware.vapi.std.DynamicID objectId)
| Fetches the list of tags attached to the given object.
global::System.Collections.Generic.List < string > | ListAttachedTags (vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of tags attached to the given object.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAttachedTagsAsync (vmware.vapi.std.DynamicID objectId)
| Fetches the list of tags attached to the given object.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAttachedTagsAsync (vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of tags attached to the given object.
global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.ObjectToTags > | ListAttachedTagsOnObjects (global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds)
| Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.
global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.ObjectToTags > | ListAttachedTagsOnObjects (global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.ObjectToTags > > | ListAttachedTagsOnObjectsAsync (global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds)
| Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.cis.tagging.TagAssociationTypes.ObjectToTags > > | ListAttachedTagsOnObjectsAsync (global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > objectIds, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.
global::System.Collections.Generic.List < string > | ListAttachableTags (vmware.vapi.std.DynamicID objectId)
| Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.
global::System.Collections.Generic.List < string > | ListAttachableTags (vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAttachableTagsAsync (vmware.vapi.std.DynamicID objectId)
| Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAttachableTagsAsync (vmware.vapi.std.DynamicID objectId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.

## Detailed Description

The `TagAssociation` interface provides methods to attach, detach, and query tags.

## Member Function Documentation

void vmware::cis::tagging::TagAssociation::Attach | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId
| ) |  |

Attaches the given tag to the input object.

The tag needs to meet the cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) criteria in order to be eligible for attachment. If the tag is already attached to the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.InvalidArgument | if the input tag is not eligible to be attached to this object or if the objectId is not valid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to attach the tag or do not have the privilege to read the object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.

Implemented in vmware::cis::tagging::TagAssociationStub.

void vmware::cis::tagging::TagAssociation::Attach | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Attaches the given tag to the input object.

The tag needs to meet the cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) criteria in order to be eligible for attachment. If the tag is already attached to the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.InvalidArgument | if the input tag is not eligible to be attached to this object or if the objectId is not valid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to attach the tag or do not have the privilege to read the object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::TagAssociation::AttachAsync | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Attaches the given tag to the input object.

The tag needs to meet the cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) criteria in order to be eligible for attachment. If the tag is already attached to the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.InvalidArgument | if the input tag is not eligible to be attached to this object or if the objectId is not valid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to attach the tag or do not have the privilege to read the object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::TagAssociation::AttachAsync | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId
| ) |  |

Attaches the given tag to the input object.

The tag needs to meet the cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) criteria in order to be eligible for attachment. If the tag is already attached to the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.InvalidArgument | if the input tag is not eligible to be attached to this object or if the objectId is not valid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to attach the tag or do not have the privilege to read the object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::AttachMultipleTagsToObject | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds
| ) |  |

Attaches the given tags to the input object.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege on each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::AttachMultipleTagsToObject | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Attaches the given tags to the input object.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege on each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::AttachMultipleTagsToObjectAsync | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Attaches the given tags to the input object.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege on each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::AttachMultipleTagsToObjectAsync | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds
| ) |  |

Attaches the given tags to the input object.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege on each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::AttachTagToMultipleObjects | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds
| ) |  |

Attaches the given tag to the input objects.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::AttachTagToMultipleObjects | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Attaches the given tag to the input objects.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::AttachTagToMultipleObjectsAsync | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds
| ) |  |

Attaches the given tag to the input objects.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::AttachTagToMultipleObjectsAsync | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Attaches the given tag to the input objects.

If a tag is already attached to the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing attachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

void vmware::cis::tagging::TagAssociation::Detach | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId
| ) |  |

Detaches the tag from the given object.

If the tag is already removed from the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to detach the tag or do not have the privilege to read the given object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.

Implemented in vmware::cis::tagging::TagAssociationStub.

void vmware::cis::tagging::TagAssociation::Detach | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Detaches the tag from the given object.

If the tag is already removed from the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to detach the tag or do not have the privilege to read the given object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::TagAssociation::DetachAsync | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Detaches the tag from the given object.

If the tag is already removed from the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to detach the tag or do not have the privilege to read the given object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task vmware::cis::tagging::TagAssociation::DetachAsync | ( | string | tagId,
|  | vmware.vapi.std.DynamicID | objectId
| ) |  |

Detaches the tag from the given object.

If the tag is already removed from the object, then this method is a no-op and an error will not be thrown. To invoke this method, you need the attach tag privilege on the tag and the read privilege on the object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to detach the tag or do not have the privilege to read the given object.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectId | The identifier of the input object.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::DetachMultipleTagsFromObject | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds
| ) |  |

Detaches the given tags from the input object.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::DetachMultipleTagsFromObject | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Detaches the given tags from the input object.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::DetachMultipleTagsFromObjectAsync | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds
| ) |  |

Detaches the given tags from the input object.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::DetachMultipleTagsFromObjectAsync | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Collections.Generic.List< string > | tagIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Detaches the given tags from the input object.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the read privilege on the object and the attach tag privilege each tag.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::DetachTagFromMultipleObjects | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds
| ) |  |

Detaches the given tag from the input objects.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tag does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

vmware.cis.tagging.TagAssociationTypes.BatchResult vmware::cis::tagging::TagAssociation::DetachTagFromMultipleObjects | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Detaches the given tag from the input objects.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tag does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::DetachTagFromMultipleObjectsAsync | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds
| ) |  |

Detaches the given tag from the input objects.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tag does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<vmware.cis.tagging.TagAssociationTypes.BatchResult> vmware::cis::tagging::TagAssociation::DetachTagFromMultipleObjectsAsync | ( | string | tagId,
|  | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Detaches the given tag from the input objects.

If a tag is already removed from the object, then the individual method is a no-op and an error will not be added to TagAssociation.BatchResult.errorMessages . To invoke this method, you need the attach tag privilege on the tag and the read privilege on each object.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tag does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the attach tag privilege on the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  objectIds | The identifiers of the input objects.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The outcome of the batch method and the list of error messages ( TagAssociation.BatchResult.errorMessages ) describing detachment failures.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::TagAssociation::ListAttachableTags | ( | vmware.vapi.std.DynamicID | objectId | ) |

Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.

Criteria for attachability is calculated based on tagging cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) constructs. To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.

Returns:
  The list of tag identifiers that are eligible to be attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::TagAssociation::ListAttachableTags | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.

Criteria for attachability is calculated based on tagging cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) constructs. To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of tag identifiers that are eligible to be attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::TagAssociation::ListAttachableTagsAsync | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.

Criteria for attachability is calculated based on tagging cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) constructs. To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of tag identifiers that are eligible to be attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::TagAssociation::ListAttachableTagsAsync | ( | vmware.vapi.std.DynamicID | objectId | ) |

Fetches the list of attachable tags for the given object, omitting the tags that have already been attached.

Criteria for attachability is calculated based on tagging cardinality ( CategoryModel.cardinality ) and associability ( CategoryModel.associableTypes ) constructs. To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.

Returns:
  The list of tag identifiers that are eligible to be attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<vmware.vapi.std.DynamicID> vmware::cis::tagging::TagAssociation::ListAttachedObjects | ( | string | tagId | ) |

Fetches the list of attached objects for the given tag.

To invoke this method, you need the read privilege on the input tag. Only those objects for which you have the read privilege will be returned.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The list of attached object identifiers.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<vmware.vapi.std.DynamicID> vmware::cis::tagging::TagAssociation::ListAttachedObjects | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of attached objects for the given tag.

To invoke this method, you need the read privilege on the input tag. Only those objects for which you have the read privilege will be returned.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of attached object identifiers.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vapi.std.DynamicID> > vmware::cis::tagging::TagAssociation::ListAttachedObjectsAsync | ( | string | tagId | ) |

Fetches the list of attached objects for the given tag.

To invoke this method, you need the read privilege on the input tag. Only those objects for which you have the read privilege will be returned.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The list of attached object identifiers.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vapi.std.DynamicID> > vmware::cis::tagging::TagAssociation::ListAttachedObjectsAsync | ( | string | tagId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of attached objects for the given tag.

To invoke this method, you need the read privilege on the input tag. Only those objects for which you have the read privilege will be returned.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the tag for the given tagId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the tag.

Parameters:

  tagId | The identifier of the input tag. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of attached object identifiers.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.TagToObjects> vmware::cis::tagging::TagAssociation::ListAttachedObjectsOnTags | ( | global::System.Collections.Generic.List< string > | tagIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.

To invoke this method, you need the read privilege on each input tag. The TagAssociation.TagToObjects.objectIds will only contain those objects for which you have the read privilege.

Parameters:

  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of the tag identifiers to all object identifiers that each tag is attached to.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.TagToObjects> vmware::cis::tagging::TagAssociation::ListAttachedObjectsOnTags | ( | global::System.Collections.Generic.List< string > | tagIds | ) |

Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.

To invoke this method, you need the read privilege on each input tag. The TagAssociation.TagToObjects.objectIds will only contain those objects for which you have the read privilege.

Parameters:

  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The list of the tag identifiers to all object identifiers that each tag is attached to.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.TagToObjects> > vmware::cis::tagging::TagAssociation::ListAttachedObjectsOnTagsAsync | ( | global::System.Collections.Generic.List< string > | tagIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.

To invoke this method, you need the read privilege on each input tag. The TagAssociation.TagToObjects.objectIds will only contain those objects for which you have the read privilege.

Parameters:

  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of the tag identifiers to all object identifiers that each tag is attached to.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.TagToObjects> > vmware::cis::tagging::TagAssociation::ListAttachedObjectsOnTagsAsync | ( | global::System.Collections.Generic.List< string > | tagIds | ) |

Fetches the list of TagAssociation.TagToObjects describing the input tag identifiers and the objects they are attached to.

To invoke this method, you need the read privilege on each input tag. The TagAssociation.TagToObjects.objectIds will only contain those objects for which you have the read privilege.

Parameters:

  tagIds | The identifiers of the input tags. The parameter must contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Returns:
  The list of the tag identifiers to all object identifiers that each tag is attached to.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::TagAssociation::ListAttachedTags | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of tags attached to the given object.

To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have the read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all tag identifiers that correspond to the tags attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<string> vmware::cis::tagging::TagAssociation::ListAttachedTags | ( | vmware.vapi.std.DynamicID | objectId | ) |

Fetches the list of tags attached to the given object.

To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have the read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.

Returns:
  The list of all tag identifiers that correspond to the tags attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::TagAssociation::ListAttachedTagsAsync | ( | vmware.vapi.std.DynamicID | objectId | ) |

Fetches the list of tags attached to the given object.

To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have the read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.

Returns:
  The list of all tag identifiers that correspond to the tags attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::TagAssociation::ListAttachedTagsAsync | ( | vmware.vapi.std.DynamicID | objectId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of tags attached to the given object.

To invoke this method, you need the read privilege on the input object. The list will only contain those tags for which you have the read privileges.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the object.

Parameters:

  objectId | The identifier of the input object.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of all tag identifiers that correspond to the tags attached to the given object. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Tag` .

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.ObjectToTags> vmware::cis::tagging::TagAssociation::ListAttachedTagsOnObjects | ( | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.

To invoke this method, you need the read privilege on each input object. The TagAssociation.ObjectToTags.tagIds will only contain those tags for which you have the read privilege.

Parameters:

  objectIds | The identifiers of the input objects.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of the object identifiers to all tag identifiers that are attached to that object.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.ObjectToTags> vmware::cis::tagging::TagAssociation::ListAttachedTagsOnObjects | ( | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds | ) |

Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.

To invoke this method, you need the read privilege on each input object. The TagAssociation.ObjectToTags.tagIds will only contain those tags for which you have the read privilege.

Parameters:

  objectIds | The identifiers of the input objects.

Returns:
  The list of the object identifiers to all tag identifiers that are attached to that object.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.ObjectToTags> > vmware::cis::tagging::TagAssociation::ListAttachedTagsOnObjectsAsync | ( | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.

To invoke this method, you need the read privilege on each input object. The TagAssociation.ObjectToTags.tagIds will only contain those tags for which you have the read privilege.

Parameters:

  objectIds | The identifiers of the input objects.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of the object identifiers to all tag identifiers that are attached to that object.

Implemented in vmware::cis::tagging::TagAssociationStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.cis.tagging.TagAssociationTypes.ObjectToTags> > vmware::cis::tagging::TagAssociation::ListAttachedTagsOnObjectsAsync | ( | global::System.Collections.Generic.List< vmware.vapi.std.DynamicID > | objectIds | ) |

Fetches the list of TagAssociation.ObjectToTags describing the input object identifiers and the tags attached to each object.

To invoke this method, you need the read privilege on each input object. The TagAssociation.ObjectToTags.tagIds will only contain those tags for which you have the read privilege.

Parameters:

  objectIds | The identifiers of the input objects.

Returns:
  The list of the object identifiers to all tag identifiers that are attached to that object.

Implemented in vmware::cis::tagging::TagAssociationStub.

The documentation for this interface was generated from the following file:

- TagAssociation.cs